Loading...
Searching...
No Matches
_kdump_attr_iter Struct Reference

Attribute iterator. More...

`#include <kdumpfile.h>`

## Data Fields

const char * | key
| Attribute key.
kdump_attr_ref_t | pos
| Iterator position.

## Detailed Description

Attribute iterator.

Iterators are used to iterate over all children of a directory attribute. This is a public structure, so callers can allocate it e.g. on stack.

Note that the attribute name is stored in the structure, but the attribute value is not. This allows to keep the same ABI while implementing special attribute handling (e.g. calculate the value on the fly).

## Field Documentation

## key

const char* _kdump_attr_iter::key

Attribute key.

This is the attribute's name relative to parent (no dots), or `NULL` if end of iteration has been reached.

## pos

kdump_attr_ref_t _kdump_attr_iter::pos

Iterator position.

This field must not be modified by callers, but it can be used as an argument to the reference-handling functions.

The documentation for this struct was generated from the following file:

- include/libkdumpfile/kdumpfile.h